I cannot download the plug in "TranzPortUB_DP_1_05" .  When I try I get this error message:  "TranzPortUB_DP_1_05  The archive may be damaged (Error #17537)".  I've tried to download it on several different computers: G4, G5, Intel and get the same message.
I need this plug in to run Tranzport on my new Mac Pro with Digital Performer.  Tranzport links up fine but will not work with DP without this plug in.
Any suggestions?